Subject: bug#9731: 24.0.90; buffer.c assertion failure in temacs.exe

From: Christoph Scholtes <[email-masked]>
Date: Wed, 12 Oct 2011 19:43:45 -0600

On 10/12/2011 3:06 AM, Eli Zaretskii wrote:

> I cannot reproduce this.  It could be a GCC or Binutils dependent,
> though.
>
> Did you try removing all the *.o files in oo/i386/, and rebuilding?

I noticed that I was using a gcc 4.4.0 version that came with the Qt 
libraries. IIRC, at some point mingw needed to be patched to work with 
Qt so there might be some modifications in that compiler that are acting up.

I retried with the latest tdmMinGW32 4.6.1 and the error does not occur. 
I have also not seen it with tdmMinGW32 4.5.2, which I have been using 
for months now.

I you don't think that this is worth investigating further, I'll close 
the bug report.

Thanks,
Christoph